MyGUI: MyGUI::MemberObsolete< MenuControl > Class Template Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::MemberObsolete< MenuControl > Class Template Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< MenuControl >:
[legend]

## Public Member Functions
void | showMenu ()
void | hideMenu ()
bool | isShowMenu ()
void | showItemChildAt (size_t _index)
void | showItemChild (MenuItem *_item)
void | hideItemChildAt (size_t _index)
void | hideItemChild (MenuItem *_item)
void | setAlignVert (bool _value)
bool | getAlignVert ()

## Detailed Description

### template<>
class MyGUI::MemberObsolete< MenuControl >

Definition at line 203 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ getAlignVert()

bool MyGUI::MemberObsolete< MenuControl >::getAlignVert | ( |  | ) |

Deprecated:
  " is deprecated, use : bool MenuControl::getVerticalAlignment() const"

Definition at line 364 of file MyGUI_BackwardCompatibility.cpp.

## ◆ hideItemChild()

void MyGUI::MemberObsolete< MenuControl >::hideItemChild | ( | MenuItem * | _item | ) |

Deprecated:
  " is deprecated, use : void setItemChildVisible(MenuItem* _item, bool _visible)"

Definition at line 355 of file MyGUI_BackwardCompatibility.cpp.

## ◆ hideItemChildAt()

void MyGUI::MemberObsolete< MenuControl >::hideItemChildAt | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void setItemChildVisibleAt(size_t _index, bool _visible)"

Definition at line 351 of file MyGUI_BackwardCompatibility.cpp.

## ◆ hideMenu()

void MyGUI::MemberObsolete< MenuControl >::hideMenu | ( |  | ) |

Deprecated:
  " is deprecated, use : void Widget::setVisible(bool _value)"

Definition at line 334 of file MyGUI_BackwardCompatibility.cpp.

## ◆ isShowMenu()

bool MyGUI::MemberObsolete< MenuControl >::isShowMenu | ( |  | ) |

Deprecated:
  " is deprecated, use : bool Widget::getVisible()"

Definition at line 338 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setAlignVert()

void MyGUI::MemberObsolete< MenuControl >::setAlignVert | ( | bool | _value | ) |

Deprecated:
  " is deprecated, use : void MenuControl::setVerticalAlignment(bool _value)"

Definition at line 360 of file MyGUI_BackwardCompatibility.cpp.

## ◆ showItemChild()

void MyGUI::MemberObsolete< MenuControl >::showItemChild | ( | MenuItem * | _item | ) |

Deprecated:
  " is deprecated, use : void setItemChildVisible(MenuItem* _item, bool _visible)"

Definition at line 347 of file MyGUI_BackwardCompatibility.cpp.

## ◆ showItemChildAt()

void MyGUI::MemberObsolete< MenuControl >::showItemChildAt | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void setItemChildVisibleAt(size_t _index, bool _visible)"

Definition at line 343 of file MyGUI_BackwardCompatibility.cpp.

## ◆ showMenu()

void MyGUI::MemberObsolete< MenuControl >::showMenu | ( |  | ) |

Deprecated:
  " is deprecated, use : void Widget::setVisible(bool _value)"

Definition at line 330 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp